/**
 *
 */
package de.intevation.gnv.artifacts;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

import de.intevation.artifacts.Artifact;
import de.intevation.artifacts.ArtifactFactory;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public abstract class ArtifactFactoryBase implements ArtifactFactory {

    /**
     * The Name of the ArtifactFactory
     */
    protected String name = "undefined";
    
    /**
     * The description of the ArtifactFactory
     */
    protected String description = "undefined"; 
    
    /**
     * Constructor
     */
    public ArtifactFactoryBase() {
        super();
    }

    /**
     * @see de.intevation.artifacts.ArtifactFactory#createArtifact(java.lang.String, java.lang.Object)
     */
    public Artifact createArtifact(String identifier, Object context) {

        return null;
    }

    /**
     * @see de.intevation.artifacts.ArtifactFactory#getDescription()
     */
    public String getDescription() {

        return this.description;
    }

    /**
     * @see de.intevation.artifacts.ArtifactFactory#getName()
     */
    public String getName() {

        return this.name;
    }

    /**
     * @see de.intevation.artifacts.ArtifactFactory#setup(org.w3c.dom.Document)
     */
    public void setup(Document config, Node factoryNode) {
        
    }

}
